Subject: JMP> Attribute Persistence

From: Harry Lewis <[email-masked]>
Date: Fri, 2 May 1997 12:20:48 -0400

Classification:

Tom, on page 34, you have a list of "mandatory attributes" which relate to the
attributes "behind" the jmJobStateValue (if your will). On page 61, line 1289,
you describe that "Attributes shared between State and Attribute tables shall
be governed by the longer persistence" (paraphrase). Actually, this is not
necessarily true except for the StateValue for Completed state (bin). Other
StateValue attributes only need to persist as long as the State itself persists.

First, recall the persistence relates to the amount of time an entry remains
AFTER THE JOB IS COMPLETED. Next, take numberofInterveningJobs (the state value
for pending state) for example. There is no need for this attribute to take on
the overall (longer) persistence of the state table. It will be (to coin a
phrase) HISTORY by the time the job reaches COMPLETED state.

I think, if we follow this reasoning, we'll conclude only outputBinIndex needs
the persistence linkage you described.

Harry Lewis - IBM Printing Systems